* Combines all selected countries in one SPSS sav file .
SET DECIMAL = DOT .

set mexpand=on .
define join	(country	= !charend('/') /
                 type		= !charend('/') /
		 sortvar	= !charend('/') /
		 path		= !charend('/') ) .

!onexpand .

add files 
!do !cty !in(!country)
 !concat('  file = "',!path,'\',!type,!cty,'m3.sav"') /
!doend .

sort cases by !sortvar .

save outfile = !concat('"',!path,'\',!type,'ALLm3.sav"') 

!enddefine

* Insert the countries, the file type, sorting variables and the path .
join country	= ARM AUS BFL BGR BHR BSQ BWA CHL COT CQU 
                  CYP EGY ENG EST GHA HKG HUN IDN IRN ISR 
                  ITA JOR JPN KOR LBN LTU LVA MAR MDA MKD 
                  MYS NLD NOR NZL PSE PHL ROM RUS SAU SCO 
                  SGP SVK SVN SWE SYR TUN TWN USA SCG UIN
                  ZAF /
        type	= BSG /
        sortvar	= IDCNTRY IDSTUD /
        path	= D:\TIMSS2003\Data\SPSS_Data.
