* Get the student data .
add files
 / file = "d:\TIMSS2003\Data\SPSS_Data\BsgarmM3.sav"
 / file = "d:\TIMSS2003\Data\SPSS_Data\BsgausM3.sav"
 / file = "d:\TIMSS2003\Data\SPSS_Data\BsgbflM3.sav"
 / file = "d:\TIMSS2003\Data\SPSS_Data\BsgbgrM3.sav"
 / file = "d:\TIMSS2003\Data\SPSS_Data\BsgbhrM3.sav" .

* Select the cases of interest .
select if not(missing(ITSEX)) .

* Create a dummy variable for the regression .
compute REGSEX = ITSEX-1 .

* Define the labels for the variables used .
value labels
 IDCNTRY 
   51 'ARMENIA'          36 'AUSTRALIA'            956 'BELGIUM FLEMISH'    100 'BULGARIA'
   48 'BAHRAIN'          72 'BOTSWANA'            9132 'CANADA ONTARIO'    9133 'CANADA QUEBEC'
  152 'CHILE'           196 'CYPRUS'               818 'EGYPT'              926 'ENGLAND'
 3724 'BASQUE'          233 'ESTONIA'              288 'GHANA'              344 'HONG KONG'
  348 'HUNGARY'         360 'INDONESIA'            364 'IRAN'               376 'ISRAEL'
  380 'ITALY'           400 'JORDAN'               392 'JAPAN'              410 'KOREA'
  422 'LEBANON'         440 'LITHUANIA'            428 'LATVIA'             504 'MOROCCO'
  498 'MOLDOVA'         807 'MACEDONIA'            458 'MALAYSIA'           528 'NETHERLANDS'
  578 'NORWAY'          554 'NEW ZEALAND'          275 'PALESTINE'          608 'PHILIPPINES'
  642 'ROMANIA'         643 'RUSSIAN FEDERATION'   682 'SAUDI ARABIA'       927 'SCOTLAND'
  702 'SINGAPORE'       703 'SLOVAK REPUBLIC'      705 'SLOVENIA'           752 'SWEDEN'
  760 'SYRIA'           788 'TUNISIA'              158 'CHINESE TAIPEI'     840 'UNITED STATES'
  887 'YEMEN'           891 'SERBIA'               710 'SOUTH AFRICA'     11800 'INDIANA US' .

* Save the student data .
save outfile = BSGALLM3 .

* Use the macro to get the results .
include "D:\TIMSS2003\Programs\SPSS_Programs\jackregp.sps" .

jackregp 
   infile  	= BSGALLM3	/
   cvar		= IDCNTRY	/
   xvar		= REGSEX	/
   rootpv	= BSMMAT0	/
   npv 		= 5		/
   njkz		= 75		/
   jkz		= JKZONE	/
   jkr		= JKREP		/
   wgt		= TOTWGT .

* Print the results .
print formats IDCNTRY n (f6.0) mult_rsq (f5.3) ss_total ss_reg (f12.0) b00 b00.se b01 b01.se (f6.2) .

list vars = IDCNTRY n mult_rsq ss_total ss_reg b00 b00.se b01 b01.se .
